Test Reports
sfp server API reference for Test Reports: 6 endpoints.
POST
/sfp/api/testreports/apex-tests/resultsAuthorization
access-token AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/sfp/api/testreports/apex-tests/results" \ -H "Content-Type: application/json" \ -d '{ "environment": "string", "repositoryIdentifier": "string", "timestamp": "string", "duration": 0, "testExecutionTime": 0, "commandTime": 0, "summary": { "totalTests": 0, "passed": 0, "failed": 0, "skipped": 0, "passingRate": 0, "outcome": "Passed" }, "testCases": [ { "id": "string", "name": "string", "className": "string", "methodName": "string", "time": 0, "status": "passed" } ], "metadata": { "testRunId": "string", "username": "string", "testLevel": "RunLocalTests" }, "coverage": { "overallCoverage": 0, "totalLines": 0, "coveredLines": 0, "classes": [ { "name": "string", "id": "string", "coverage": 0, "totalLines": 0, "coveredLines": 0, "status": "pass" } ], "uncoveredClasses": [ "string" ], "belowThreshold": [ { "name": "string", "id": "string", "coverage": 0, "totalLines": 0, "coveredLines": 0, "status": "pass" } ] } }'Empty
GET
/sfp/api/testreports/apex-tests/resultsAuthorization
access-token AuthorizationBearer <token>
In: header
Query Parameters
repository*string
Repository identifier (org/repo)
limit?string
Maximum number of results
Response Body
curl -X GET "https://example.com/sfp/api/testreports/apex-tests/results?repository=string"Empty
GET
/sfp/api/testreports/apex-tests/results/{environmentName}Authorization
access-token AuthorizationBearer <token>
In: header
Path Parameters
environmentName*string
Environment name
Query Parameters
repository*string
Repository identifier (org/repo)
Response Body
curl -X GET "https://example.com/sfp/api/testreports/apex-tests/results/string?repository=string"Empty
GET
/sfp/api/testreports/apex-tests/results/{environmentName}/historyAuthorization
access-token AuthorizationBearer <token>
In: header
Path Parameters
environmentName*string
Environment name
Query Parameters
repository*string
Repository identifier (org/repo)
limit?string
Maximum number of results
Response Body
curl -X GET "https://example.com/sfp/api/testreports/apex-tests/results/string/history?repository=string"Empty
GET
/sfp/api/testreports/apex-tests/dashboard/summaryAuthorization
access-token AuthorizationBearer <token>
In: header
Query Parameters
repository*string
Repository identifier (org/repo)
Response Body
curl -X GET "https://example.com/sfp/api/testreports/apex-tests/dashboard/summary?repository=string"Empty
GET
/sfp/api/testreports/apex-tests/dashboard/{environmentName}Authorization
access-token AuthorizationBearer <token>
In: header
Path Parameters
environmentName*string
Environment name
Query Parameters
repository*string
Repository identifier (org/repo)
Response Body
curl -X GET "https://example.com/sfp/api/testreports/apex-tests/dashboard/string?repository=string"Empty